org.eclipse.jetty.plus.jaas.callback

## Class RequestParameterCallback

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.callback.RequestParameterCallback

- All Implemented Interfaces:
    Callback

      public class RequestParameterCallback
      extends Object
      implements Callback

  RequestParameterCallback Allows a JAAS callback handler to access any parameter from the j_security_check FORM. This means that a LoginModule can access form fields other than the j_username and j_password fields, and use it, for example, to authenticate a user.
  Version:
    $Revision: 4780 $ $Date: 2009-03-17 16:36:08 +0100 (Tue, 17 Mar 2009) $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestParameterCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParameterName()`
    `List<?>` | `getParameterValues()`
    `void` | `setParameterName(String name)`
    `void` | `setParameterValues(List<?> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestParameterCallback

          public RequestParameterCallback()

  - ### Method Detail

    - #### setParameterName

          public void setParameterName(String name)

    - #### getParameterName

          public String getParameterName()

    - #### setParameterValues

          public void setParameterValues(List<?> values)

    - #### getParameterValues

          public List<?> getParameterValues()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.